<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DsPMPDatabase" targetNamespace="http://tempuri.org/DsPMPDatabase.xsd" xmlns:mstns="http://tempuri.org/DsPMPDatabase.xsd" xmlns="http://tempuri.org/DsPMPDatabase.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="PMPCS" IsAppSettingsProperty="true" Modifier="Assembly" Name="PMPCS (Settings)" PropertyReference="ApplicationSettings.WebServer.Properties.Settings.GlobalReference.Default.PMPCS" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="SPMasterTableAdapter" GeneratorDataComponentClassName="SPMasterTableAdapter" Name="SPMaster" UserDataComponentName="SPMasterTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="PMPCS (Settings)" DbObjectName="SPMaster" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `SPMaster` WHERE ((`ID` = ?) AND ((? = 1 AND `CtrlNo` IS NULL) OR (`CtrlNo` = ?)) AND ((? = 1 AND `SIDNo` IS NULL) OR (`SIDNo` = ?)) AND ((? = 1 AND `Storage` IS NULL) OR (`Storage` = ?)) AND ((? = 1 AND `Location` IS NULL) OR (`Location` = ?)) AND ((? = 1 AND `UseEqmt` IS NULL) OR (`UseEqmt` = ?)) AND ((? = 1 AND `PartName` IS NULL) OR (`PartName` = ?)) AND ((? = 1 AND `PartNo` IS NULL) OR (`PartNo` = ?)) AND ((? = 1 AND `Process` IS NULL) OR (`Process` = ?)) AND ((? = 1 AND `Supplier` IS NULL) OR (`Supplier` = ?)) AND ((? = 1 AND `SupplierNo` IS NULL) OR (`SupplierNo` = ?)) AND ((? = 1 AND `CurrentQty` IS NULL) OR (`CurrentQty` = ?)) AND ((? = 1 AND `MHA` IS NULL) OR (`MHA` = ?)) AND ((? = 1 AND `Division` IS NULL) OR (`Division` = ?)) AND ((? = 1 AND `BadQty` IS NULL) OR (`BadQty` = ?)) AND ((? = 1 AND `Price` IS NULL) OR (`Price` = ?)) AND ((? = 1 AND `PriceUnit` IS NULL) OR (`PriceUnit` = ?)) AND ((? = 1 AND `CostCenter` IS NULL) OR (`CostCenter` = ?)) AND ((? = 1 AND `Memo` IS NULL) OR (`Memo` = ?)) AND ((? = 1 AND `EnrDate` IS NULL) OR (`EnrDate` = ?)) AND ((? = 1 AND `Enrollee` IS NULL) OR (`Enrollee` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CtrlNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_CtrlNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_SIDNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_SIDNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Storage" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Storage" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Location" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Location" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_UseEqmt" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_UseEqmt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PartName" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PartName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PartNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PartNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Process" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Process" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Supplier" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Supplier" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_SupplierNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_SupplierNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CurrentQty" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_CurrentQty" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_MHA" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_MHA" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Division" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Division" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_BadQty" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Single" Direction="Input" ParameterName="Original_BadQty" Precision="0" ProviderType="Single" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Price" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_Price" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PriceUnit" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PriceUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CostCenter" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_CostCenter" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Memo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Memo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_EnrDate" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_EnrDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Enrollee" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Enrollee" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `SPMaster` (`CtrlNo`, `SIDNo`, `Storage`, `Location`, `UseEqmt`, `PartName`, `PartNo`, `Process`, `Supplier`, `SupplierNo`, `CurrentQty`, `MHA`, `Division`, `BadQty`, `Price`, `PriceUnit`, `CostCenter`, `Memo`, `EnrDate`, `Enrollee`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="CtrlNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="SIDNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Storage" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Location" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="UseEqmt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PartName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PartNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Process" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Supplier" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="SupplierNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="CurrentQty" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="MHA" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Division" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Single" Direction="Input" ParameterName="BadQty" Precision="0" ProviderType="Single" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Price" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PriceUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="CostCenter" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Memo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="EnrDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Enrollee" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  SPMaster.*
FROM     SPMaster</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `SPMaster` SET `CtrlNo` = ?, `SIDNo` = ?, `Storage` = ?, `Location` = ?, `UseEqmt` = ?, `PartName` = ?, `PartNo` = ?, `Process` = ?, `Supplier` = ?, `SupplierNo` = ?, `CurrentQty` = ?, `MHA` = ?, `Division` = ?, `BadQty` = ?, `Price` = ?, `PriceUnit` = ?, `CostCenter` = ?, `Memo` = ?, `EnrDate` = ?, `Enrollee` = ? WHERE ((`ID` = ?) AND ((? = 1 AND `CtrlNo` IS NULL) OR (`CtrlNo` = ?)) AND ((? = 1 AND `SIDNo` IS NULL) OR (`SIDNo` = ?)) AND ((? = 1 AND `Storage` IS NULL) OR (`Storage` = ?)) AND ((? = 1 AND `Location` IS NULL) OR (`Location` = ?)) AND ((? = 1 AND `UseEqmt` IS NULL) OR (`UseEqmt` = ?)) AND ((? = 1 AND `PartName` IS NULL) OR (`PartName` = ?)) AND ((? = 1 AND `PartNo` IS NULL) OR (`PartNo` = ?)) AND ((? = 1 AND `Process` IS NULL) OR (`Process` = ?)) AND ((? = 1 AND `Supplier` IS NULL) OR (`Supplier` = ?)) AND ((? = 1 AND `SupplierNo` IS NULL) OR (`SupplierNo` = ?)) AND ((? = 1 AND `CurrentQty` IS NULL) OR (`CurrentQty` = ?)) AND ((? = 1 AND `MHA` IS NULL) OR (`MHA` = ?)) AND ((? = 1 AND `Division` IS NULL) OR (`Division` = ?)) AND ((? = 1 AND `BadQty` IS NULL) OR (`BadQty` = ?)) AND ((? = 1 AND `Price` IS NULL) OR (`Price` = ?)) AND ((? = 1 AND `PriceUnit` IS NULL) OR (`PriceUnit` = ?)) AND ((? = 1 AND `CostCenter` IS NULL) OR (`CostCenter` = ?)) AND ((? = 1 AND `Memo` IS NULL) OR (`Memo` = ?)) AND ((? = 1 AND `EnrDate` IS NULL) OR (`EnrDate` = ?)) AND ((? = 1 AND `Enrollee` IS NULL) OR (`Enrollee` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="CtrlNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="SIDNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Storage" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Location" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="UseEqmt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PartName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PartNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Process" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Supplier" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="SupplierNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="CurrentQty" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="MHA" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Division" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Single" Direction="Input" ParameterName="BadQty" Precision="0" ProviderType="Single" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Price" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="PriceUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="CostCenter" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Memo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="EnrDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Enrollee" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CtrlNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_CtrlNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_SIDNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_SIDNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Storage" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Storage" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Location" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Location" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_UseEqmt" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_UseEqmt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PartName" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PartName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PartNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PartNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Process" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Process" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Supplier" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Supplier" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Supplier" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_SupplierNo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_SupplierNo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CurrentQty" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_CurrentQty" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_MHA" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_MHA" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Division" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Division" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_BadQty" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Single" Direction="Input" ParameterName="Original_BadQty" Precision="0" ProviderType="Single" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Price" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_Price" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_PriceUnit" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_PriceUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_CostCenter" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_CostCenter" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Memo" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Memo" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_EnrDate" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_EnrDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Enrollee" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Enrollee" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="CtrlNo" DataSetColumn="CtrlNo" />
              <Mapping SourceColumn="SIDNo" DataSetColumn="SIDNo" />
              <Mapping SourceColumn="Storage" DataSetColumn="Storage" />
              <Mapping SourceColumn="Location" DataSetColumn="Location" />
              <Mapping SourceColumn="UseEqmt" DataSetColumn="UseEqmt" />
              <Mapping SourceColumn="PartName" DataSetColumn="PartName" />
              <Mapping SourceColumn="PartNo" DataSetColumn="PartNo" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="Supplier" DataSetColumn="Supplier" />
              <Mapping SourceColumn="SupplierNo" DataSetColumn="SupplierNo" />
              <Mapping SourceColumn="CurrentQty" DataSetColumn="CurrentQty" />
              <Mapping SourceColumn="MHA" DataSetColumn="MHA" />
              <Mapping SourceColumn="Division" DataSetColumn="Division" />
              <Mapping SourceColumn="BadQty" DataSetColumn="BadQty" />
              <Mapping SourceColumn="Price" DataSetColumn="Price" />
              <Mapping SourceColumn="PriceUnit" DataSetColumn="PriceUnit" />
              <Mapping SourceColumn="CostCenter" DataSetColumn="CostCenter" />
              <Mapping SourceColumn="Memo" DataSetColumn="Memo" />
              <Mapping SourceColumn="EnrDate" DataSetColumn="EnrDate" />
              <Mapping SourceColumn="Enrollee" DataSetColumn="Enrollee" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DsPMPDatabase" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DsPMPDatabase" msprop:Generator_UserDSName="DsPMPDatabase">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="SPMaster" msprop:Generator_TableClassName="SPMasterDataTable" msprop:Generator_TableVarName="tableSPMaster" msprop:Generator_TablePropName="SPMaster" msprop:Generator_RowDeletingName="SPMasterRowDeleting" msprop:Generator_RowChangingName="SPMasterRowChanging" msprop:Generator_RowEvHandlerName="SPMasterRowChangeEventHandler" msprop:Generator_RowDeletedName="SPMasterRowDeleted" msprop:Generator_UserTableName="SPMaster" msprop:Generator_RowChangedName="SPMasterRowChanged" msprop:Generator_RowEvArgName="SPMasterRowChangeEvent" msprop:Generator_RowClassName="SPMasterRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="CtrlNo" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CtrlNo" msprop:Generator_ColumnVarNameInTable="columnCtrlNo" msprop:Generator_ColumnPropNameInTable="CtrlNoColumn" msprop:Generator_UserColumnName="CtrlNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SIDNo" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SIDNo" msprop:Generator_ColumnVarNameInTable="columnSIDNo" msprop:Generator_ColumnPropNameInTable="SIDNoColumn" msprop:Generator_UserColumnName="SIDNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Storage" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Storage" msprop:Generator_ColumnVarNameInTable="columnStorage" msprop:Generator_ColumnPropNameInTable="StorageColumn" msprop:Generator_UserColumnName="Storage" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Location" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Location" msprop:Generator_ColumnVarNameInTable="columnLocation" msprop:Generator_ColumnPropNameInTable="LocationColumn" msprop:Generator_UserColumnName="Location" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="25" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="UseEqmt" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="UseEqmt" msprop:Generator_ColumnVarNameInTable="columnUseEqmt" msprop:Generator_ColumnPropNameInTable="UseEqmtColumn" msprop:Generator_UserColumnName="UseEqmt" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartName" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PartName" msprop:Generator_ColumnVarNameInTable="columnPartName" msprop:Generator_ColumnPropNameInTable="PartNameColumn" msprop:Generator_UserColumnName="PartName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="55" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartNo" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PartNo" msprop:Generator_ColumnVarNameInTable="columnPartNo" msprop:Generator_ColumnPropNameInTable="PartNoColumn" msprop:Generator_UserColumnName="PartNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_UserColumnName="Process" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Supplier" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Supplier" msprop:Generator_ColumnVarNameInTable="columnSupplier" msprop:Generator_ColumnPropNameInTable="SupplierColumn" msprop:Generator_UserColumnName="Supplier" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SupplierNo" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SupplierNo" msprop:Generator_ColumnVarNameInTable="columnSupplierNo" msprop:Generator_ColumnPropNameInTable="SupplierNoColumn" msprop:Generator_UserColumnName="SupplierNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="25" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CurrentQty" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="CurrentQty" msprop:Generator_ColumnVarNameInTable="columnCurrentQty" msprop:Generator_ColumnPropNameInTable="CurrentQtyColumn" msprop:Generator_UserColumnName="CurrentQty" type="xs:double" minOccurs="0" />
              <xs:element name="MHA" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="MHA" msprop:Generator_ColumnVarNameInTable="columnMHA" msprop:Generator_ColumnPropNameInTable="MHAColumn" msprop:Generator_UserColumnName="MHA" type="xs:double" minOccurs="0" />
              <xs:element name="Division" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Division" msprop:Generator_ColumnVarNameInTable="columnDivision" msprop:Generator_ColumnPropNameInTable="DivisionColumn" msprop:Generator_UserColumnName="Division" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BadQty" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="BadQty" msprop:Generator_ColumnVarNameInTable="columnBadQty" msprop:Generator_ColumnPropNameInTable="BadQtyColumn" msprop:Generator_UserColumnName="BadQty" type="xs:float" minOccurs="0" />
              <xs:element name="Price" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Price" msprop:Generator_ColumnVarNameInTable="columnPrice" msprop:Generator_ColumnPropNameInTable="PriceColumn" msprop:Generator_UserColumnName="Price" type="xs:double" minOccurs="0" />
              <xs:element name="PriceUnit" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PriceUnit" msprop:Generator_ColumnVarNameInTable="columnPriceUnit" msprop:Generator_ColumnPropNameInTable="PriceUnitColumn" msprop:Generator_UserColumnName="PriceUnit" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CostCenter" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CostCenter" msprop:Generator_ColumnVarNameInTable="columnCostCenter" msprop:Generator_ColumnPropNameInTable="CostCenterColumn" msprop:Generator_UserColumnName="CostCenter" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Memo" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Memo" msprop:Generator_ColumnVarNameInTable="columnMemo" msprop:Generator_ColumnPropNameInTable="MemoColumn" msprop:Generator_UserColumnName="Memo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="60" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EnrDate" msprop:Generator_ColumnVarNameInTable="columnEnrDate" msprop:Generator_ColumnPropNameInRow="EnrDate" msprop:Generator_ColumnPropNameInTable="EnrDateColumn" msprop:Generator_UserColumnName="EnrDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Enrollee" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Enrollee" msprop:Generator_ColumnVarNameInTable="columnEnrollee" msprop:Generator_ColumnPropNameInTable="EnrolleeColumn" msprop:Generator_UserColumnName="Enrollee" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:SPMaster" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
  </xs:element>
</xs:schema>